%define major 21
%define api 2_1
%define libname %mklibname IlmImf_Imf %{api} %{major}
%define devname %mklibname IlmImf_Imf -d

Summary:	A high dynamic-range (HDR) image file format
Name:		openexr
Version:	2.1.0
Release:	2
License:	BSD
Group:		Graphics
Url:		http://www.openexr.com
Source0:	http://savannah.nongnu.org/download/openexr/%{name}-%{version}.tar.gz
BuildRequires:	fltk-devel
BuildRequires:	pkgconfig(IlmBase) >= 2.1

%description
Industrial Light & Magic developed the OpenEXR format in response to the demand
for higher color fidelity in the visual effects industry.

#----------------------------------------------------------------------------

%package utils
Summary:	A high dynamic-range (HDR) image file format
Group:		Graphics
Conflicts:	OpenEXR < 2.1.0
Obsoletes:	OpenEXR < 2.1.0

%description utils
Industrial Light & Magic developed the OpenEXR format in response to the demand
for higher color fidelity in the visual effects industry.

%files utils
%doc AUTHORS ChangeLog NEWS README doc/*
%{_bindir}/exr*

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Industrial Light & Magic library
Group:		System/Libraries

%description -n %{libname}
Industrial Light & Magic library.

%files -n %{libname}
%{_libdir}/libIlmImf-Imf_%{api}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Header files and static libraries from %{name}
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Conflicts:	%{_lib}OpenEXR-devel < 2.1.0-5
Obsoletes:	%{_lib}OpenEXR-devel < 2.1.0-5

%description -n %{devname}
Libraries and header files for developing programs based on %{name}.

%files -n %{devname}
%{_includedir}/*
%{_libdir}/*.so
%{_datadir}/aclocal/*.m4
%{_libdir}/pkgconfig/*.pc

#----------------------------------------------------------------------------

%prep
%setup -q
%apply_patches
./bootstrap

%build
%configure2_5x \
	--disable-static
%make

%install
%makeinstall_std

# Remove doc files installed by make install, we package them in %files
rm -rf %{buildroot}%{_docdir}/OpenEXR-%{version}


%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 2.1.0-2
+ Revision: e73d9f9
- MassBuild#440: Increase release tag


